Package org.eclipse.core.filebuffers

# Interface IStateValidationSupport

public interface IStateValidationSupport
Implementers of `IFileBuffer` may also implement `IStateValidationSupport` in order to allow a `IFileBufferManager` to batch the stages of state validation when calling `IFileBufferManager.validateState(IFileBuffer[], org.eclipse.core.runtime.IProgressMonitor, Object)`.

Since:
  3.1
See Also:
  - `IFileBuffer`

## Method Summary

Modifier and Type
Method
Description
`void`
`validationStateAboutToBeChanged()`
Tells this buffer that the validation state is about to be changed.
`void`
`validationStateChanged(boolean validationState, IStatus status)`
Tells this buffer that the validation state has been changed to the given value.
`void`
`validationStateChangeFailed()`
Tells this buffer that a initiated state validation failed.

## Method Details

### validationStateAboutToBeChanged

void validationStateAboutToBeChanged()
Tells this buffer that the validation state is about to be changed. File buffer listeners will receive a `IFileBufferListener.stateChanging(IFileBuffer)` notification in response.

### validationStateChanged

void validationStateChanged(boolean validationState, IStatus status)
Tells this buffer that the validation state has been changed to the given value. After that call, `IFileBuffer.isStateValidated()` will return the given value. Also `IFileBuffer.getStatus()` will returns the provided status. File buffer listeners will receive a `IFileBufferListener.stateValidationChanged(IFileBuffer, boolean)` notification.

Parameters:
  `validationState` - `true` if validated, `false` otherwise
  `status` - the status of the executed validate state operation

### validationStateChangeFailed

void validationStateChangeFailed()
Tells this buffer that a initiated state validation failed. File buffer listeners will receive a `IFileBufferListener.stateChangeFailed(IFileBuffer)` notification in response.